import 'dart:convert';

import '../log/log.dart';
import '../types/tag.dart';
import 'api.dart';

Future<List<Tag>> loadAllTags() async {
  final data = await API.query("tags", "getAllTags", {});

  final d = (jsonDecode(data) ?? []) as List<dynamic>;
  final tags = d.map((e) => Tag.fromJson(e)).toList(growable: false);
  return tags;
}

Future<void> addTagToVideo(int tagId, int movieId) async {
  final data =
      await API.query("tags", "addTag", {'TagId': tagId, 'MovieId': movieId});

  final d = jsonDecode(data);
  if (d["result"] != "success") {
    Log.w("couldn't add actor to video");
  }
}
