import 'package:flutter/material.dart';

import '../api/tag_api.dart';
import '../screen_loading.dart';
import '../types/tag.dart';

class AddTagDialog extends StatefulWidget {
  const AddTagDialog({Key? key, required this.movieId}) : super(key: key);
  final int movieId;

  @override
  State<AddTagDialog> createState() => _AddTagDialogState();
}

class _AddTagDialogState extends State<AddTagDialog> {
  late Future<List<Tag>> tags = loadAllTags();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
        scrollable: true,
        title: Text("Add Tag"),
        content: FutureBuilder(
          future: tags,
          builder: (context, snapshot) {
            if (snapshot.hasError) {
              return Text("Error");
            } else if (snapshot.hasData) {
              final data = snapshot.data! as List<Tag>;
              return Column(
                mainAxisSize: MainAxisSize.min,
                children: data
                    .map(
                      (e) => ListTile(
                        title: Text(e.tagName),
                        onTap: () async {
                          await addTagToVideo(e.tagId, widget.movieId);
                          Navigator.pop(context, e);
                        },
                      ),
                    )
                    .toList(),
              );
            } else {
              return ScreenLoading();
            }
          },
        ));
  }
}
